Polycom-App-Push

Metadata

Analyzed metadata and errors of Polycom-App-Push.

{
   "abstracts_in_pod" : {
      "Polycom::App::Push" : "Module for sending push requests to Polycom's SoundPoint IP and VVX series VoIP phones\r",
      "Polycom::App::URI" : "Module for working with internal URIs used for softkeys and hyperlinks in web applications for Polycom's SoundPoint IP and VVX series VoIP phones"
   },
   "author" : "ZBLAIR",
   "buildfile_executable" : 1,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib/Polycom/App",
      "lib/Polycom",
      "lib",
      "t",
      "t"
   ],
   "dist" : "Polycom-App-Push",
   "dynamic_config" : 0,
   "error" : {
      "consistent_version" : "0.01,0.04",
      "meta_yml_conforms_to_known_spec" : "Expected a list structure (author) [Validation: 1.4];Missing mandatory field, 'generated_by' (generated_by) [Validation: 1.4]"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "Changes",
      "MANIFEST",
      "META.yml",
      "Makefile.PL",
      "README",
      "lib/Polycom/App/Push.pm",
      "lib/Polycom/App/URI.pm"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1336603998,
         "size" : 428
      },
      "MANIFEST" : {
         "mtime" : 1327260184,
         "size" : 130
      },
      "META.yml" : {
         "mtime" : 1336604025,
         "size" : 769
      },
      "Makefile.PL" : {
         "mtime" : 1327343915,
         "size" : 658,
         "used" : [
            "5.008008",
            "ExtUtils::MakeMaker"
         ]
      },
      "README" : {
         "mtime" : 1336604039,
         "size" : 1129
      },
      "lib/Polycom/App/Push.pm" : {
         "license" : "Perl_5",
         "module" : "Polycom::App::Push",
         "mtime" : 1336606686,
         "size" : 7913,
         "used" : [
            "Class::Accessor",
            "LWP::UserAgent",
            "strict",
            "warnings"
         ]
      },
      "lib/Polycom/App/URI.pm" : {
         "license" : "Perl_5",
         "module" : "Polycom::App::URI",
         "mtime" : 1327219571,
         "size" : 4593,
         "used" : [
            "Exporter",
            "strict",
            "warnings"
         ]
      },
      "t/00-basic.t" : {
         "mtime" : 1336604521,
         "no_index" : 1,
         "size" : 1501,
         "used" : [
            "Test::More"
         ]
      },
      "t/pod-coverage.t" : {
         "mtime" : 1266529589,
         "no_index" : 1,
         "size" : 472,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Pod::Coverage",
            "Test::Pod::Coverage"
         ]
      },
      "t/pod.t" : {
         "mtime" : 1266529622,
         "no_index" : 1,
         "size" : 184,
         "used" : [
            "Test::More",
            "strict",
            "warnings"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 0,
      "consistent_version" : 0,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "93.18",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 0,
      "meta_yml_declares_perl_version" : 1,
      "meta_yml_has_license" : 1,
      "meta_yml_has_provides" : 1,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1336606686,
   "license" : "perl defined in META.yml",
   "license_file" : "lib/Polycom/App/Push.pm,lib/Polycom/App/URI.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/Polycom/App/Push.pm",
         "lib/Polycom/App/URI.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "Module for writing web applications for Polycom VoIP phones",
      "author" : "[\"Zachary Blair <zblair@cpan.org>\"]",
      "build_requires" : {
         "ExtUtils::MakeMaker" : "0",
         "Test::More" : "0"
      },
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "distribution_type" : "module",
      "keywords" : [
         "Polycom",
         "VoIP",
         "App",
         "Push",
         "SoundPoint",
         "VVX",
         "CSV"
      ],
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Polycom-App-Push",
      "no_index" : {
         "directory" : [
            "t"
         ]
      },
      "provides" : {
         "Polycom::App::Push" : {
            "file" : "lib/Polycom/App/Push.pm",
            "version" : "0.04"
         },
         "Polycom::App::URI" : {
            "file" : "lib/Polycom/App/URI.pm",
            "version" : "0.01"
         }
      },
      "requires" : {
         "Class::Accessor" : "0",
         "LWP::UserAgent" : "0",
         "perl" : "5.8"
      },
      "resources" : {
         "license" : "http://dev.perl.org/licenses/"
      },
      "version" : "0.04"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.4",
   "modules" : [
      {
         "file" : "lib/Polycom/App/URI.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Polycom::App::URI"
      },
      {
         "file" : "lib/Polycom/App/Push.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Polycom::App::Push"
      }
   ],
   "no_index" : "^t/",
   "no_pax_headers" : 1,
   "package" : "Polycom-App-Push-0.04.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "perl",
         "type" : "runtime_requires",
         "version" : "5.8"
      },
      {
         "is_prereq" : 1,
         "requires" : "LWP::UserAgent",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "ExtUtils::MakeMaker",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::More",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Class::Accessor",
         "type" : "runtime_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1336607834,
   "size_packed" : 6205,
   "size_unpacked" : 17777,
   "uses" : {
      "used_in_code" : {
         "Class::Accessor" : 1,
         "Exporter" : 1,
         "LWP::UserAgent" : 1,
         "strict" : 2,
         "warnings" : 2
      },
      "used_in_config" : {
         "5.008008" : 1,
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_eval_in_tests" : {
         "Pod::Coverage" : 1,
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Test::More" : 3,
         "strict" : 2,
         "warnings" : 2
      }
   },
   "valid_signature" : -1,
   "version" : "0.04",
   "versions" : {
      "lib/Polycom/App/Push.pm" : {
         "Polycom::App::Push" : "0.04"
      },
      "lib/Polycom/App/URI.pm" : {
         "Polycom::App::URI" : "0.01"
      }
   },
   "vname" : "Polycom-App-Push-0.04"
}